This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 133944 - segfault when attempting to 'n'ext in a -pie executable
segfault when attempting to 'n'ext in a -pie executable
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
:
Depends On: 175075
Blocks: FC6Target 150591
  Show dependency treegraph
 
Reported: 2004-09-28 12:09 EDT by Jay Fenlason
Modified: 2014-08-31 19:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:03:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2004-09-28 12:09:07 EDT
Description of problem:When attempting to debug why smbtree is aborting, I set a breakpoint in main() and attempted to 'n'ext.  GDB promptly segfaulted.


Version-Release number of selected component (if applicable):gdb-6.1post-1.20040607.30


How reproducible:Always


Steps to Reproduce:install samba-debuginfo
1.gdb smbtree
2.b main
3.run
  next
Actual results:Segmentation Fault


Expected results:gdb should continue running


Additional info:
Comment 1 Alexandre Oliva 2006-03-08 15:38:14 EST
Wow, you're lucky that you get it to stop at the breakpoint.  I don't get even
that :-(
Comment 3 Alexandre Oliva 2006-03-08 18:49:48 EST
A patch that should fix this problem is in gdb-6.3.0.0-1.122, please give it a
try as soon as it finishes building.
Comment 4 Matthew Miller 2006-07-10 16:48:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-30 10:03:28 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against FC3 and has remained in NEEDINFO state for quite some
time.  Many packages and bugfixes have been made since the last substantive bug
report.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.